ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Types.PkgQual

Synopsis

- data RawPkgQual
  - = NoRawPkgQual
  - | RawPkgQual StringLiteral
- data PkgQual
  - = NoPkgQual
  - | ThisPkg !UnitId
  - | OtherPkg !UnitId

# Documentation

data RawPkgQual Source #

Package-qualifier as it was parsed

Constructors

NoRawPkgQual | No package qualifier
RawPkgQual StringLiteral | Raw package qualifier string.

#### Instances

Instances details

Data RawPkgQual Source # |

Instance details

Defined in GHC.Types.PkgQual

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> RawPkgQual -> c RawPkgQual Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c RawPkgQual Source #

toConstr :: RawPkgQual -> Constr Source #

dataTypeOf :: RawPkgQual -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c RawPkgQual) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c RawPkgQual) Source #

gmapT :: (forall b. Data b => b -> b) -> RawPkgQual -> RawPkgQual Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> RawPkgQual -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> RawPkgQual -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> RawPkgQual -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> RawPkgQual -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> RawPkgQual -> m RawPkgQual Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> RawPkgQual -> m RawPkgQual Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> RawPkgQual -> m RawPkgQual Source #

Outputable RawPkgQual Source # |
Instance details Defined in GHC.Types.PkgQual Methods ppr :: RawPkgQual -> SDoc Source #

data PkgQual Source #

Package-qualifier after renaming

Renaming detects if "this" or the unit-id of the home-unit was used as a package qualifier.

Constructors

NoPkgQual | No package qualifier
ThisPkg !UnitId | Import from home-unit
OtherPkg !UnitId | Import from another unit

#### Instances

Instances details

Data PkgQual Source # |

Instance details

Defined in GHC.Types.PkgQual

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> PkgQual -> c PkgQual Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c PkgQual Source #

toConstr :: PkgQual -> Constr Source #

dataTypeOf :: PkgQual -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c PkgQual) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c PkgQual) Source #

gmapT :: (forall b. Data b => b -> b) -> PkgQual -> PkgQual Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> PkgQual -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> PkgQual -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> PkgQual -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> PkgQual -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> PkgQual -> m PkgQual Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> PkgQual -> m PkgQual Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> PkgQual -> m PkgQual Source #

Outputable PkgQual Source # |
Instance details Defined in GHC.Types.PkgQual Methods ppr :: PkgQual -> SDoc Source #
Eq PkgQual Source # |
Instance details Defined in GHC.Types.PkgQual Methods (==) :: PkgQual -> PkgQual -> Bool Source # (/=) :: PkgQual -> PkgQual -> Bool Source #
Ord PkgQual Source # |
Instance details Defined in GHC.Types.PkgQual Methods compare :: PkgQual -> PkgQual -> Ordering Source # (<) :: PkgQual -> PkgQual -> Bool Source # (<=) :: PkgQual -> PkgQual -> Bool Source # (>) :: PkgQual -> PkgQual -> Bool Source # (>=) :: PkgQual -> PkgQual -> Bool Source # max :: PkgQual -> PkgQual -> PkgQual Source # min :: PkgQual -> PkgQual -> PkgQual Source #